// main: ./main.less, out: ../style.css, compress: false

/* ====================================================================================================================================
FONT FACE
======================================================================================================================================*/

@font-face {
	font-family: 'AkkuratLight';
	src: url('./wp-content/fonts/AkkuratLight.eot');
	src: local('☺'), url('./wp-content/fonts/AkkuratLight.woff') format('woff'), url('./wp-content/fonts/AkkuratLight.ttf') format('truetype'), url('./wp-content/fonts/AkkuratLight.svg') format('svg');
	font-weight: normal;
}

@font-face {
	font-family: 'AkkuratBold';
	src: url('./wp-content/fonts/AkkuratBold.eot');
	src: local('☺'), url('./wp-content/fonts/AkkuratBold.woff') format('woff'), url('./wp-content/fonts/AkkuratBold.ttf') format('truetype'), url('./wp-content/fonts/AkkuratBold.svg') format('svg');
	font-weight: bold;
}

/* ====================================================================================================================================
FONT RULES
======================================================================================================================================*/
html {   
    .txt--font__normal; 
	.txt--s__rg;
    -webkit-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;
	color: @vr__col-5;
	font-weight: 400!important;
	-webkit-font-weight: 400!important;

}

// font family
.txt--font__normal      {    font-family: 'AkkuratLight';  }
.txt--font__bold        {    font-family: 'AkkuratBold';  }

// font color
.txt--col__1       {    color: @vr__col-1;    }
.txt--col__2       {    color: @vr__col-2;    }
.txt--col__3       {    color: @vr__col-3;    }
.txt--col__4       {    color: @vr__col-4;    }

// font size
.txt--s__sm             {    font-size: @size__sm;    }
.txt--s__rg             {    font-size: @size__rg;    }
.txt--s__md             {    font-size: @size__md;    }
.txt--s__lg             {    font-size: @size__lg;    }
.txt--s__xl             {    font-size: @size__xl;    }


p      {    .txt--s__rg; line-height: 180%  }
h1     {    .txt--s__xl;                    }
h2     {    .txt--s__lg;                    }
h3     {    .txt--s__md;                    }